Create Kubuntu minimal install exclusion list
Closed, ResolvedPublic

Description

rikmills created this task.Feb 28 2018, 3:27 PM
rikmills updated the task description. (Show Details)Feb 28 2018, 4:08 PM

I know I got push-back in the -devel channel, but I would like us to consider excluding:

  • PIM
  • Firefox (I understand we will ship Falkon)
  • LibreOffice (Calligra is an excellent alternative for those not needing to write to MS Formats); and
  • (ideally) all of GTK

from the minimal ISO.

mparillo, what packages besides Firefox would be excluded by your no-gtk rule?

mparillo, what packages besides Firefox would be excluded by your no-gtk rule?

It is the only one that I know of (is there an easy apt query?), but I think just as we know what Qt4 dependencies remain, I think it would be a plus to offer a Qt5-only installed system.

rikmills moved this task from Inbox to Packaging / Devel on the Kubuntu board.Mar 15 2018, 5:24 PM

Ok. My first draft.

# This is a list of packages to be removed when the 'minimal' option is
# selected during installation.

# Note that the format is NOT the same as the usual seed format. This file is
# not processed by germinate - it is simply downloaded during image builds.

# Plasma extras

milou
plasma-discover
plasma-vault

# Desktop apps

ffmpegthumbs
kamera
ktorrent
krdc
okular-extra-backends
cantata
mpd


# KDE PIM

accountwizard
akonadi-backend-mysql
akonadi-server
akregator
kaddressbook
kdepim-addons
kdepim-runtime
kdepim-themeeditors
kleopatra
kmail
knotes
kontact
korganizer
ktnef
mbox-importer
pim-data-exporter
pim-sieve-editor

# Libreoffice

libreoffice-avmedia-backend-gstreamer
libreoffice-base
libreoffice-base-core
libreoffice-base-drivers
libreoffice-calc
libreoffice-common
libreoffice-core
libreoffice-draw
libreoffice-help-en-us
libreoffice-impress
libreoffice-java-common
libreoffice-kde
libreoffice-kde4
libreoffice-math
libreoffice-sdbc-hsqldb
libreoffice-style-breeze
libreoffice-style-galaxy
libreoffice-style-oxygen
libreoffice-style-tango
libreoffice-writer
python3-uno
uno-libs3
ure

# language packs

libreoffice-l10n-en-gb
libreoffice-l10n-es
libreoffice-l10n-zh-cn
libreoffice-l10n-zh-tw
libreoffice-l10n-pt
libreoffice-l10n-pt-br
libreoffice-l10n-de
libreoffice-l10n-fr
libreoffice-l10n-it
libreoffice-l10n-ru
libreoffice-l10n-en-za
libreoffice-help-en-gb
libreoffice-help-es
libreoffice-help-zh-cn
libreoffice-help-zh-tw
libreoffice-help-pt
libreoffice-help-pt-br
libreoffice-help-de
libreoffice-help-fr
libreoffice-help-it
libreoffice-help-ru
libreoffice-help-en-us
rikmills added a comment.EditedMar 17 2018, 11:05 PM

As trying to con ubiquity into using a local test file just seems to crash it, I pushed my draft exclusion list to the seeds to allow testing with images spun by the ubuntu infra.

1st image with the minimal option is the AMD64 one here @ http://cdimage.ubuntu.com/kubuntu/daily-live/20180317.1/

Added konversation

Neon's selling point is it's a slim build. Several legacy apps shouldn't be included into the iso, but made readily available in the repo. I'll refer to them soon. At any rate, it's pretty annoying when some of those get pinned to Notifications by default.

rikmills updated the task description. (Show Details)Mar 30 2018, 8:55 PM
rikmills closed this task as Resolved.Jun 19 2018, 3:47 PM
rikmills claimed this task.